package com.yd.csf.api.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yd.common.result.Result;
import com.yd.csf.feign.request.policyreceipt.ApiPolicyReceiptAddRequest;
import com.yd.csf.feign.request.policyreceipt.ApiPolicyReceiptPageRequest;
import com.yd.csf.feign.response.policyreceipt.ApiPolicyReceiptDetailResponse;
import com.yd.csf.feign.response.policyreceipt.ApiPolicyReceiptPageResponse;

public interface ApiPolicyReceiptService {
    Result<IPage<ApiPolicyReceiptPageResponse>> page(ApiPolicyReceiptPageRequest request);

    Result<ApiPolicyReceiptDetailResponse> detail(String policyReceiptBizId);

    Result add(ApiPolicyReceiptAddRequest request);

    Result editReceiptStatus(String policyReceiptBizId, String receiptStatus);
}
